# MPI_File_get_errhandler

## NAME

MPI_File_get_errhandler − Gets the error handler for a file.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_File_get_errhandler(MPI_File file, MPI_Errhandler

|  | *errhandler)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_FILE_GET_ERRHANDLER(FILE, ERRHANDLER, IERROR)

| INTEGER |  |  | FILE, ERRHANDLER, IERROR

## C++ Syntax

#include <mpi.h>
MPI::Errhandler MPI::File::Get_errhandler() const

## INPUT PARAMETER

| file |  | File (handle). |

## OUTPUT PARAMETERS

errhandler

MPI error handler currently associated with file (handle).

| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

Returns in errhandler (a handle to) the error handler that is currently associated with file file.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. For MPI I/O function errors, the default error handler is set to MPI_ERRORS_RETURN. The error handler may be changed with MPI_File_set_errhandler; the predefined error handler MPI_ERRORS_ARE_FATAL may be used to make I/O errors fatal. Note that MPI does not guarantee that an MPI program can continue past an error.

MPI API Index